org.cpsolver.coursett.criteria.additional

## Class InstructorFairness.InstructorFairnessContext.Instructor

- java.lang.Object
- - org.cpsolver.coursett.criteria.additional.InstructorFairness.InstructorFairnessContext.Instructor

- Enclosing class:
    InstructorFairness.InstructorFairnessContext

      public class InstructorFairness.InstructorFairnessContext.Instructor
      extends Object

  Class representing instructor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Instructor(Long instructorId)` Create instructor with ID(instructorId)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBestValue(double bestValue)` Add value to instructor best value
    `void` | `addValue(double value)` Add value to instructor value
    `void` | `decNumOfClasses()` Decrease number of instructor classes by 1
    `boolean` | `equals(Object obj)`
    `double` | `getBestValue()`
    `double` | `getCoef()`
    `double` | `getFinalValue()` representation how well instructors requirements are met
    `Long` | `getId()`
    `int` | `getNumOfClasses()`
    `double` | `getValue()`
    `int` | `hashCode()`
    `void` | `incNumOfClasses()` Increase number of classes by 1
    `void` | `refresh()` Set instructor value and number of classes to 0
    `void` | `removeValue(double value)` Subtract value from instructor value
    `void` | `setCoef(double coef)` Set instructor coefficient to double value

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Instructor

          public Instructor(Long instructorId)

      Create instructor with ID(instructorId)
      Parameters:
        `instructorId` - instructor ID

  - ### Method Detail

    - #### getFinalValue

          public double getFinalValue()

      representation how well instructors requirements are met
      Returns:
        Instructor final value

    - #### getId

          public Long getId()

      Returns:
        iId - instructor ID

    - #### getValue

          public double getValue()

      Returns:
        iValue - instructor value

    - #### addValue

          public void addValue(double value)

      Add value to instructor value
      Parameters:
        `value` - value that should be added to instructor value

    - #### removeValue

          public void removeValue(double value)

      Subtract value from instructor value
      Parameters:
        `value` - value that should be subtracted from instructor value

    - #### getBestValue

          public double getBestValue()

      Returns:
        iBestValue - instructor best value

    - #### addBestValue

          public void addBestValue(double bestValue)

      Add value to instructor best value
      Parameters:
        `bestValue` - value that should be added to instructor best value

    - #### getNumOfClasses

          public int getNumOfClasses()

      Returns:
        iNumOfClasses - number of instructor classes

    - #### incNumOfClasses

          public void incNumOfClasses()

      Increase number of classes by 1

    - #### decNumOfClasses

          public void decNumOfClasses()

      Decrease number of instructor classes by 1

    - #### getCoef

          public double getCoef()

      Returns:
        coef - coefficient of instructor

    - #### setCoef

          public void setCoef(double coef)

      Set instructor coefficient to double value
      Parameters:
        `coef` - coefficient of instructor

    - #### refresh

          public void refresh()

      Set instructor value and number of classes to 0

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`